PDA

Visualizza la versione completa : installazione LAMP su ubuntu


nik600
03-05-2005, 19:57
ciao

domani dovrei installare LAMP su ubunto, una distro che non ho mai usato, posso compilare i vari apache,mysql,php5 da sorgente o devo usare i pacchetti?

grazie nik

Ikitt
03-05-2005, 20:11
Originariamente inviato da nik600
domani dovrei installare LAMP su ubunto, una distro che non ho mai usato, posso compilare i vari apache,mysql,php5 da sorgente o devo usare i pacchetti?

A meno di esigenze particolari, sarebbe meglio usare i pacchetti: armati di apt-get e apt-cache, oppure, forse meglio, del tool grafico (synaptic) che trovi nel menu amministrazione.

Forse avrai bisogno di abilitare i repository "universe", sul sito di ubuntu e` spiegato come fare.

nik600
04-05-2005, 00:49
la macchina su cui devo installarli non ha internet, non posso scaricare i pacchetti sulla mia slacke poi installarli da cd o da usb?

come faccio?

thnks nik

PS la compilazione da sorgente sconsigliata x quali motivi?

Ikitt
04-05-2005, 00:53
Originariamente inviato da nik600
la macchina su cui devo installarli non ha internet, non posso scaricare i pacchetti sulla mia slacke poi installarli da cd o da usb?
si certo, rischia pero` di essere una palla micidiale. Intanto verifica quali pacchetti sono presenti sul cd di installazione, almeno apache dovrebbe esserci.



PS la compilazione da sorgente sconsigliata x quali motivi?
sporca il sistema, rende piu` difficoltoso l'aggiornamento e la gestione del software, non aggiunge nulla in quanto a flessibilita` o altro.
A meno di esigenze particolarissime, come detto.
Ma sono decisamente convinto che usare i pacchetti binari o, al limite, ricompilare i pacchetti sorgente di ubuntu/debian copre il 99% delle esigenze.

Pegasus
04-05-2005, 13:11
http://ubuntuguide.org/add-on-cd/ :madai!?:
sono tutti i pacchetti che usa la ubuntuguide
lamp c' tutto, insieme ad un sacco di altre cosette.

nik600
04-05-2005, 14:44
il fatto che io vorrei mettere l'ultima versione di apache e di mysql, oltre che a php 5

queste dove le trovo?

ps il link non va...

Ikitt
04-05-2005, 14:47
Originariamente inviato da nik600
il fatto che io vorrei mettere l'ultima versione di apache e di mysql, oltre che a php 5
queste dove le trovo?
apache e` a posto (2.0.53) credo, mysql c'e` la 4.0.x, php in effetti e` "fermo" alla versione 4.3.10.

Pero` mysql 4.1.x c'e` in debian sid, quindi probabilmente potresti trovarlo anche per ubuntu (alla peggio cercando nei repository di breezy), php5 invece ancora no.



ps il link non va...
ho provato adesso e va :master:

nik600
04-05-2005, 14:52
ora in effetti va! :fagiano:

ho trovato questo link, mi sembra ci sia tutto no?

http://www.ubuntulinux.org/wiki/PHP5FromSource

Pegasus
04-05-2005, 15:08
s quelli di ubuntu non hanno ritenuto php5 non proprio stabile. Allora hanno positicipato la release. Puoi usare un backport se lo vuoi pacchettizato. ;)

Loading